Associated revisions
Revision 3e6d717c - 08/06/2011 10:52 PM - J. Moringen
Changed RemoteServer interface to use futures
fixes #466
    -  src/rsb/Factory.{h,cpp}: removed timeout parameter from

  Factory::createRemoteServer; timeouts are now specified for
  individual function calls

    -  src/rsb/patterns/RemoteServer.{h,cpp}: removed a whole bunch of
  logic from WaitingEventHandler since this stuff is now handled by
  RSC's Future class; changed RemoteServer interface to offer two
  pairs of methods: call/callAndWait and callMethod/callMethodAndWait

    -  examples/server/client.cpp: adapted to changed interface of
  RemoteServer class

Revision 03f42350 - 08/07/2011 12:41 AM - J. Moringen
Adapted C++ client to new future-based API in integrationtest/cpp/client.cpp
refs #466
    -  integrationtest/cpp/client.cpp: replaced calls to call() with calls

  to callAndWait()

Revision 2e31b8a5 - 08/07/2011 04:13 AM - J. Moringen
Fixed client/server example in examples/server/
refs #466
    -  examples/server/client.cpp: call waiting variants of all methods to

  maintain previous behavior
    -  examples/server/server.cpp: updated copyright

Revision 187fb449 - 08/08/2011 10:21 PM - J. Moringen
Renamed call methods in src/rsb/patterns/RemoteServer.{h,cpp}
fixes #466
    -  src/rsb/patterns/RemoteServer.{h,cpp}: change names of call methods

  callMethodAndWait -> call, callAndWait -> call, callMethod ->
  callAsync, call -> callAsync

    -  examples/server/client.cpp: adapted to changed client interface

Revision df3cdf70 - 08/08/2011 10:23 PM - J. Moringen
Adapted C++ client to changed method names in RPC API
refs #466
    -  cpp/client.cpp: changed method calls callAndWait -> call

History
#1 - 08/06/2011 05:07 AM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

#2 - 08/06/2011 08:16 AM - J. Moringen
- % Done changed from 0 to 70

#3 - 08/06/2011 10:53 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100

Applied in changeset r2277.

#4 - 08/07/2011 12:46 AM - J. Moringen
- Status changed from Resolved to Feedback

Please provide feedback regarding the client interface. I'm not too happy with the call, callAndWait, callMethod, callMethodAndWait names.
Alternatives (which don't seem better to me) include
    -  dataCall, eventCall, -AndWait
    -  dataCall, blockingDataCall, eventCall, ...
    -  call, callWithEvent, -AndWait
    -  call, callWithEvent, blocking-

#5 - 08/08/2011 05:52 AM - J. Wienke

data and eventCalls sounds more clear to me. Personally, I could live with completely removing the andWait methods, but ok...

#6 - 08/08/2011 10:25 PM - J. Moringen
- Status changed from Feedback to Resolved

Applied in changeset r2303.
